package b4j.Draw;


import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.B4AClass;
import anywheresoftware.b4a.debug.*;

public class square extends B4AClass.ImplB4AClass implements BA.SubDelegator{
    public static java.util.HashMap<String, java.lang.reflect.Method> htSubs;
    private void innerInitialize(BA _ba) throws Exception {
        if (ba == null) {
            ba = new  anywheresoftware.b4a.ShellBA("b4j.Draw", "b4j.Draw.square", this);
            if (htSubs == null) {
                ba.loadHtSubs(this.getClass());
                htSubs = ba.htSubs;
            }
            ba.htSubs = htSubs;
             
        }
        if (BA.isShellModeRuntimeCheck(ba))
                this.getClass().getMethod("_class_globals", b4j.Draw.square.class).invoke(this, new Object[] {null});
        else
            ba.raiseEvent2(null, true, "class_globals", false);
    }

 
    public void  innerInitializeHelper(anywheresoftware.b4a.BA _ba) throws Exception{
        innerInitialize(_ba);
    }
    public Object callSub(String sub, Object sender, Object[] args) throws Exception {
        return BA.SubDelegator.SubNotFound;
    }
public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4j.objects.JFX _fx = null;
public int _mx = 0;
public int _my = 0;
public int _mwidth = 0;
public b4j.Draw.main _main = null;
public String  _draw(b4j.Draw.square __ref,anywheresoftware.b4j.objects.CanvasWrapper _c) throws Exception{
__ref = this;
RDebugUtils.currentModule="square";
if (Debug.shouldDelegate(ba, "draw"))
	return (String) Debug.delegate(ba, "draw", new Object[] {_c});
RDebugUtils.currentLine=393216;
 //BA.debugLineNum = 393216;BA.debugLine="Sub Draw(c As Canvas)";
RDebugUtils.currentLine=393217;
 //BA.debugLineNum = 393217;BA.debugLine="c.DrawRect(mx, my, mWidth, mWidth, fx.Colors.Red,";
_c.DrawRect(__ref._mx,__ref._my,__ref._mwidth,__ref._mwidth,__ref._fx.Colors.Red,__c.False,__c.DipToCurrent((int) (1)));
RDebugUtils.currentLine=393218;
 //BA.debugLineNum = 393218;BA.debugLine="End Sub";
return "";
}
public String  _initialize(b4j.Draw.square __ref,anywheresoftware.b4a.BA _ba,anywheresoftware.b4a.objects.collections.List _shapes,int _x,int _y,int _width) throws Exception{
__ref = this;
innerInitialize(_ba);
RDebugUtils.currentModule="square";
if (Debug.shouldDelegate(ba, "initialize"))
	return (String) Debug.delegate(ba, "initialize", new Object[] {_ba,_shapes,_x,_y,_width});
RDebugUtils.currentLine=327680;
 //BA.debugLineNum = 327680;BA.debugLine="Sub Initialize (Shapes As List, x As Int, y As Int";
RDebugUtils.currentLine=327681;
 //BA.debugLineNum = 327681;BA.debugLine="mx = x";
__ref._mx = _x;
RDebugUtils.currentLine=327682;
 //BA.debugLineNum = 327682;BA.debugLine="my = y";
__ref._my = _y;
RDebugUtils.currentLine=327683;
 //BA.debugLineNum = 327683;BA.debugLine="mWidth = Width";
__ref._mwidth = _width;
RDebugUtils.currentLine=327684;
 //BA.debugLineNum = 327684;BA.debugLine="Shapes.Add(Me)";
_shapes.Add(this);
RDebugUtils.currentLine=327685;
 //BA.debugLineNum = 327685;BA.debugLine="End Sub";
return "";
}
public String  _class_globals(b4j.Draw.square __ref) throws Exception{
__ref = this;
RDebugUtils.currentModule="square";
RDebugUtils.currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Sub Class_Globals";
RDebugUtils.currentLine=262145;
 //BA.debugLineNum = 262145;BA.debugLine="Private fx As JFX";
_fx = new anywheresoftware.b4j.objects.JFX();
RDebugUtils.currentLine=262146;
 //BA.debugLineNum = 262146;BA.debugLine="Private mx, my, mWidth As Int";
_mx = 0;
_my = 0;
_mwidth = 0;
RDebugUtils.currentLine=262147;
 //BA.debugLineNum = 262147;BA.debugLine="End Sub";
return "";
}
}